Subject: Re: [Govpn-devel] build from last tarball

From: Alan Holt <[email-masked]>
Date: Wed, 13 May 2015 13:52:59 +0300

Hi,

right! I installed GoLanguage on FreeBSD and now it fine.
But can I have your help with user manual?

I follow this instructions:
http://www.cypherpunks.ru/govpn/Example-usage.html#Example-usage

and there is not so clear explained how to run server and client.
I have:

Both VMs are Ubuntu Server:

*Server*: 172.25.60.62
*Client*: 172.25.60.63

I did run *server *successfully:
root@calvin:~/govpn# ./govpn-server -bind 172.25.60.62:1194 -mtu 1472
2015/05/13 10:28:29.548793 main.go:120: GoVPN version 3.2 built with go1.2.1
2015/05/13 10:28:29.549008 main.go:121: Max MTU on TAP interface: 1432
2015/05/13 10:28:29.549031 main.go:130: Server started

but when I start the *client*, I see this error:
root@farengeit:~/govpn# ./govpn-client -key key.txt -id CLIENTID -iface
tap10 -remote 172.25.60.62:1194 -mtu 1472
panic: ID is not specified

goroutine 1 [running]:
runtime.panic(0x536700, 0xc21001d4a0)
        /usr/lib/go/src/pkg/runtime/panic.c:266 +0xb6
main.main()
        /root/govpn/src/govpn/cmd/govpn-client/main.go:58 +0xc9

goroutine 3 [runnable]:
os/signal.loop()
        /usr/lib/go/src/pkg/os/signal/signal_unix.go:19
created by os/signal.init·1
        /usr/lib/go/src/pkg/os/signal/signal_unix.go:27 +0x31

What is it client id? How do I specify this?
I want to create clear and simple instructions for manual installation.

Another question, like this, why it need this: echo "echo tap10" >>
peers/CLIENTID/up.sh ?
So I created directory peers/CLIENTID on server and file up.sh with tap10

but I don't really understand why server needs it.
Thank you.

On Wed, May 13, 2015 at 1:14 PM, <[email-masked]> wrote:

> *** Alan Holt [2015-05-13 13:03]:
> >For *FreeBSD *I've got next error:
> >
> >[root@freebsd ~/govpn]# make
> >...
> >HEAD is now at 36aebfe... changed license to BSD
> >GOPATH=/root/govpn go build -ldflags "-X govpn.Version 3.2"
> >govpn/cmd/govpn-client
> >go: not found
>
> You have to install Go programming language compiler first. GoVPN is not
> written on C: so Go compiler is a separate package as a rule. It is the
> only major dependency. On FreeBSD you can install lang/go port. Seems
> that Ubuntu and CentOS has it preinstalled.
>
> Thanks for the feedback! I will create an updated tarballs with
> Makefile-related fixes.
>
> --
> Happy hacking, Sergey Matveev
>

-- 
*בברכה, *
*אלכס ברבר*

*+9 72 54 285 952 3*
*www.linuxspace.org* <http://www.linuxspace.org>
*--*
*Best regards.*
*Alex Berber*
*+9 72 54 285 952 3*
*www.linuxspace.org* <http://www.linuxspace.org/>